const system = require("../../../system");
const settings = require("../../../../config/settings");
const appconfig = system.getSysConfig();
module.exports = (db, DataTypes) => {
  return db.define("trademark", {
    user_id: DataTypes.INTEGER,  //平台用户id
    company_id: DataTypes.INTEGER,  //平台公司id
    trademark_id: DataTypes.INTEGER,  //标源id
    tm_code: DataTypes.STRING,  //商标申请号
    opath: DataTypes.STRING,  //用户路径
  }, {
      paranoid: true,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      //freezeTableName: true,
      // define the table's name
      tableName: 'user_trademark',
      validate: {

      },
      indexes: [
      ]
    });
};
